aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJan-Simon Moeller <jsmoeller@linuxfoundation.org>2019-11-26 16:58:11 +0000
committerGerrit Code Review <gerrit@automotivelinux.org>2019-11-26 16:58:11 +0000
commite1829b0d4d0de7faf73515d053ecff2ba229a895 (patch)
treecb3ab5a8248b9f817a7317fe1b0732dd14c1d9db
parentcd64f3d0e996ff86f9a45904d9a3ea76e3f49a66 (diff)
parent1d14540500cde3293f0fcc79b5b2cca55ee95b4f (diff)
Merge "test_can_loopback_mode: Add ip util version check"
-rwxr-xr-xcommon/scripts/test_can_loopback_mode.sh14
1 files changed, 13 insertions, 1 deletions
diff --git a/common/scripts/test_can_loopback_mode.sh b/common/scripts/test_can_loopback_mode.sh
index 4425c5d..9a7acf6 100755
--- a/common/scripts/test_can_loopback_mode.sh
+++ b/common/scripts/test_can_loopback_mode.sh
@@ -1,15 +1,27 @@
#!/bin/sh
-if [ ! -e /sys/class/net/can0 ];then
+skip_tests() {
lava-test-case canconfig_can0 --result skip
lava-test-case start_can0 --result skip
lava-test-case send_frames_through_can0 --result skip
lava-test-case receive_frames_through_can0 --result skip
lava-test-case stop_can0 --result skip
exit 0
+}
+
+if [ ! -e /sys/class/net/can0 ];then
+ skip_tests
fi
+
sleep 2
+ip -V |grep -q BusyBox
+if [ $? -eq 0 ];then
+ echo "WARN: busybox ip is not handled"
+ # busybox ip does not handle bitrate option
+ skip_tests
+fi
+
#Make sure always that the can interface is down before
#starting the config step.
ip link set can0 down